> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/oninitcallback.md).

# OnInitCallback

This interface is used with [`init(SdkConfig, OnInitCallback)`](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/oninitcallback/broken-reference/README.md).

## OnInitCallback API

### `onInitFailure()`

> ```java
> void onInitFailure(InitIssue issue, @Nullable Throwable throwable)
> ```
>
> Called when an issue was encountered while initializing the SDK.

| Parameters |                                                                                                                                                                                                      |
| ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| issue      | An [`InitIssue`](/important-topics/sdk/api-reference/android/oninitcallback/initissue.md) enum indicating the issue.                                                                                 |
| throwable  | An optional [`Throwable`](https://developer.android.com/reference/java/lang/Throwable) in case of [`INITIALIZATION_ERROR`](/important-topics/sdk/api-reference/android/oninitcallback/initissue.md). |

### `onInitSuccess()`

> ```java
> void onInitSuccess()
> ```
>
> Called when SDK initialization completed successfully. You can now start the SDK detections, and access any of the other methods on the [`Sentiance`](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/oninitcallback/broken-reference/README.md) class.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/oninitcallback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
